Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.projections.cylindric
Class CylindricalProjection

    java.lang.Object
      org.deegree.crs.Identifiable
          org.deegree.crs.projections.Projection
              org.deegree.crs.projections.cylindric.CylindricalProjection

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Mercator, TransverseMercator

    public abstract class CylindricalProjection

extends Projection

The `CylindricalProjection` is a super class for all cylindrical projections.

(From Snyder p.97)

Cylindrical projections are used primarily for complete world maps, or for maps along narrow strips of a great circle arc, such as the Equator, a meridian or an oblique great circle.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`CylindricalProjection(GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units, double scale, boolean conformal, boolean equalArea, Identifiable id)`

Method Summary

Methods inherited from class org.deegree.crs.projections.Projection
`doInverseProjection, doProjection, equals, getCosphi0, getDatum, getEccentricity, getEllipsoid, getFalseEasting, getFalseNorthing, getGeographicCRS, getImplementationName, getNaturalOrigin, getPrimeMeridian, getProjectionLatitude, getProjectionLongitude, getScale, getScaleFactor, getSemiMajorAxis, getSemiMinorAxis, getSinphi0, getSquaredEccentricity, getUnits, hashCode, isConformal, isEqualArea, isSpherical, setFalseEasting, setScale, toString`

Methods inherited from class org.deegree.crs.Identifiable
`checkForNullObject, checkForNullObject, checkForNullObject, getAreaOfUse, getAreaOfUseBBox, getAreasOfUse, getDescription, getDescriptions, getIdAndName, getIdentifier, getIdentifiers, getName, getNames, getVersion, getVersions, hasID`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CylindricalProjection

    public CylindricalProjection(GeographicCRS geographicCRS,
                                 double falseNorthing,
                                 double falseEasting,
                                 javax.vecmath.Point2d naturalOrigin,
                                 Unit units,
                                 double scale,
                                 boolean conformal,
                                 boolean equalArea,
                                 Identifiable id)

Parameters:
  `geographicCRS` -
  `falseNorthing` -
  `falseEasting` -
  `naturalOrigin` -
  `units` -
  `scale` -
  `conformal` -
  `equalArea` -
  `id` - an identifiable instance containing information about this projection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org